Index: /trunk/libf/phyvenus/write_histmth.h
===================================================================
--- /trunk/libf/phyvenus/write_histmth.h	(revision 96)
+++ /trunk/libf/phyvenus/write_histmth.h	(revision 97)
@@ -7,7 +7,5 @@
       ndex3d = 0
       zx_tmp_2d = 0.
-      z4_tmp_2d = 0.
       zx_tmp_3d = 0.
-      z4_tmp_3d = 0.
       zx_tmp_fi2d=0.
       zx_tmp_fi3d=0.
@@ -25,15 +23,12 @@
       i = NINT(zout/zsto)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,pphis,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"phis",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"phis",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 C
       i = NINT(zout/zsto)
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"aire",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"aire",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, ftsol,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"tsol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"tsol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       DO i = 1, klon
@@ -41,23 +36,19 @@
       ENDDO
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"psol",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"psol",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ue,zx_tmp_2d)
-c     z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"ue",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"ue",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, ve,zx_tmp_2d)
 c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-c     z4_tmp_2d=-1.*zx_tmp_2d
-c     CALL histwrite(nid_mth,"ve",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     zx_tmp_2d=-1.*zx_tmp_2d
+c     CALL histwrite(nid_mth,"ve",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"cdragh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"cdragh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"cdragm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"cdragm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.1
@@ -69,54 +60,45 @@
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, t_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"temp",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"temp",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, pplay, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"pres",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"pres",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, zphi, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"geop",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"geop",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, u_seri, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"vitu",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"vitu",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, v_seri, zx_tmp_3d)
 c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-      z4_tmp_3d=-1.*zx_tmp_3d
-      CALL histwrite(nid_mth,"vitv",itau_w,z4_tmp_3d,
+      zx_tmp_3d=-1.*zx_tmp_3d
+      CALL histwrite(nid_mth,"vitv",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, omega, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"vitw",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"vitw",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dudyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dudyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_vdf, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"duvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"duvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, mang, zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"mang",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"mang",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, ycoefh, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"Kz",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"Kz",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -126,7 +108,6 @@
           IF (iq.LE.99) THEN
        CALL gr_fi_ecrit(klev,klon,iim,jjmp1, qx(1,1,iq), zx_tmp_3d)
-       z4_tmp_3d=zx_tmp_3d
        WRITE(str2,'(i2.2)') iq
-       CALL histwrite(nid_mth,tnom(iq),itau_w,z4_tmp_3d,
+       CALL histwrite(nid_mth,tnom(iq),itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
           ELSE
@@ -138,6 +119,5 @@
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, topsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"tops",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"tops",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.2
@@ -151,14 +131,11 @@
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, toplw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"topl",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"topl",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, solsw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"sols",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"sols",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       CALL gr_fi_ecrit(1, klon,iim,jjmp1, sollw,zx_tmp_2d)
-      z4_tmp_2d=zx_tmp_2d
-      CALL histwrite(nid_mth,"soll",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+      CALL histwrite(nid_mth,"soll",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c 3D
@@ -166,36 +143,30 @@
       zx_tmp_fi3d(1:klon,1:klev)=swnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"SWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"SWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=lwnet(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"LWnet",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"LWnet",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=fluxt(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"fluxvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"fluxvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=flux_dyn(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"fluxdyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"fluxdyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
       zx_tmp_fi3d(1:klon,1:klev)=flux_ajs(1:klon,1:klev)
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"fluxajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"fluxajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c     zx_tmp_fi3d(1:klon,1:klev)=flux_ec(1:klon,1:klev)
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"fluxec",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"fluxec",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -207,24 +178,20 @@
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t_dyn, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtdyn",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtdyn",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_t, zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"dtphy",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"dtphy",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,d_t_vdf,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtvdf",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtvdf",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en K/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,d_t_ajs,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -232,6 +199,5 @@
       zx_tmp_fi3d(1:klon,1:klev)=heat(1:klon,1:klev)/RDAY 
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtswr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtswr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -239,30 +205,25 @@
       zx_tmp_fi3d(1:klon,1:klev)=-1.*cool(1:klon,1:klev)/RDAY
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dtlwr",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dtlwr",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c en K/s      
 c     zx_tmp_fi3d(1:klon,1:klev)=d_t_ec(1:klon,1:klev)
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1,zx_tmp_fi3d,zx_tmp_3d)
-c     z4_tmp_3d=zx_tmp_3d
-c     CALL histwrite(nid_mth,"dtec",itau_w,z4_tmp_3d,
+c     CALL histwrite(nid_mth,"dtec",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_ajs, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"duajs",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"duajs",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_oro, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dugwo",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dugwo",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
 c en (m/s)/s      
       CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_u_hin, zx_tmp_3d)
-      z4_tmp_3d=zx_tmp_3d
-      CALL histwrite(nid_mth,"dugwno",itau_w,z4_tmp_3d,
+      CALL histwrite(nid_mth,"dugwno",itau_w,zx_tmp_3d,
      .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -270,6 +231,6 @@
 c     CALL gr_fi_ecrit(klev,klon,iim,jjmp1, d_v_vdf, zx_tmp_3d)
 c VENUS: regardee a l'envers!!!!!!!!!!!!!!!
-c     z4_tmp_3d=-1.*zx_tmp_3d
-c     CALL histwrite(nid_mth,"dvvdf",itau_w,z4_tmp_3d,
+c     zx_tmp_3d=-1.*zx_tmp_3d
+c     CALL histwrite(nid_mth,"dvvdf",itau_w,zx_tmp_3d,
 c    .                                   iim*jjmp1*klev,ndex3d)
 c
@@ -281,20 +242,16 @@
 c
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxu , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_mth,"taux_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d) 
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d) 
 c      
 c      CALL gr_fi_ecrit(1, klon,iim,jjmp1, fluxv , zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
 c      CALL histwrite(nid_mth,"tauy_",itau_w,
-c    $      z4_tmp_2d,iim*jjmp1,ndex2d)
+c    $      zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragm,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdrm",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdrm",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
 c     CALL gr_fi_ecrit(1, klon,iim,jjmp1, cdragh,zx_tmp_2d)
-c      z4_tmp_2d=zx_tmp_2d
-c     CALL histwrite(nid_mth,"cdrh",itau_w,z4_tmp_2d,iim*jjmp1,ndex2d)
+c     CALL histwrite(nid_mth,"cdrh",itau_w,zx_tmp_2d,iim*jjmp1,ndex2d)
 c
       ENDIF !lev_histmth.GE.5
